Tag Archives: environment issue

Android SDK requires ADT version X or Above

Alright let’s do some Android development!  Let me just open up Eclipse and…sdk requires version x - initial error

Okaaaay… That’s strange, check for updates, then.

sdk requires version x - no updates found

What?!  🙁

Let’s fix it!

This is actually a fairly easy fix, it’s just a little confusing.  You’ll want to go to:

Help | Install New Software

And then add a new source:

http://dl-ssl.google.com/android/eclipse/

sdk requires version x - found updates

These are the updates you want!  So go ahead and update!

sdk requires version x - while contacting update sites

OH, come on!

Don’t worry!  That error only happens if you leave “contact all update sites during install to find required software” checked.  Simply ensure that you uncheck that box before you go through with the update.

sdk requires version x - uncheck evil box

And then you should be good to go!